<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_Holder StructType
 * @subpackage Structs
 */
class JP_Holder extends AbstractStructBase
{
    /**
     * The RelPax
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RelPax
     */
    public $RelPax;
    /**
     * Constructor method for JP_Holder
     * @uses JP_Holder::setRelPax()
     * @param \StructType\JP_RelPax $relPax
     */
    public function __construct(\StructType\JP_RelPax $relPax = null)
    {
        $this
            ->setRelPax($relPax);
    }
    /**
     * Get RelPax value
     * @return \StructType\JP_RelPax|null
     */
    public function getRelPax()
    {
        return $this->RelPax;
    }
    /**
     * Set RelPax value
     * @param \StructType\JP_RelPax $relPax
     * @return \StructType\JP_Holder
     */
    public function setRelPax(\StructType\JP_RelPax $relPax = null)
    {
        $this->RelPax = $relPax;
        return $this;
    }
}
